package com.hzya.frame.seeyon.cbs8.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description cbs交易明细日志OA底表
 * @Author xiangerlin
 * @Date 2024/6/24 10:49
 **/
public class TransactionDetailEntity extends BaseEntity {
    private String id;//id
    private String accountNo;//银行账号
    private String accountName;//户名
    private String openBank;//开户行名称
    private String bankType;//我方银行类型
    private String bankTransactionDate;//交易日期
    private String transactionSerialNumber;//交易流水号
    private String bankSerialNumber;//银行流水号
    private String currency;//币种
    private String incurredAmount;//发生额
    private String purpose;//用途
    private String digest;//摘要
    private String oppositeAccount;//对方账号
    private String oppositeName;//对方户名
    private String oppositeOpeningBank;//对方开户行

    private String remark;//备注
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getBankTransactionDate() {
        return bankTransactionDate;
    }

    public void setBankTransactionDate(String bankTransactionDate) {
        this.bankTransactionDate = bankTransactionDate;
    }

    public String getTransactionSerialNumber() {
        return transactionSerialNumber;
    }

    public void setTransactionSerialNumber(String transactionSerialNumber) {
        this.transactionSerialNumber = transactionSerialNumber;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getIncurredAmount() {
        return incurredAmount;
    }

    public void setIncurredAmount(String incurredAmount) {
        this.incurredAmount = incurredAmount;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getDigest() {
        return digest;
    }

    public void setDigest(String digest) {
        this.digest = digest;
    }

    public String getOppositeAccount() {
        return oppositeAccount;
    }

    public void setOppositeAccount(String oppositeAccount) {
        this.oppositeAccount = oppositeAccount;
    }

    public String getOppositeName() {
        return oppositeName;
    }

    public void setOppositeName(String oppositeName) {
        this.oppositeName = oppositeName;
    }

    public String getOppositeOpeningBank() {
        return oppositeOpeningBank;
    }

    public void setOppositeOpeningBank(String oppositeOpeningBank) {
        this.oppositeOpeningBank = oppositeOpeningBank;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getBankSerialNumber() {
        return bankSerialNumber;
    }

    public void setBankSerialNumber(String bankSerialNumber) {
        this.bankSerialNumber = bankSerialNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
